%
% DESCRIPTION: Program to create the Natural gas production GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'; %['EPSG:' num2str(input('[CRS] EPSG code = '))];
[TimeZone] = 'UTC';%input('TimeZone (char) = ');
[Description] = 'Description of the dataset' %input('Description of data (char) = ');
         
[FieldDescription] = {
    'Date','Date';
    'Field_name','Field name'};
[FieldType] = {
    'Date',5;
    'Field_name', 22};
[FieldUnit] = {
    'Date','datenum';
    'Field_name','Gm^3'};
[d] = struct();
d.Date=[];
d.Field_name=[];

         
save('GDF_EpisodeName_Natural_Gas_Production_example.mat')